services:
  esphome:
    command:
    - dashboard
    - /config
    container_name: esphome
    entrypoint:
    - /entrypoint.sh
    environment:
      GPG_KEY: '***SENSITIVE_VALUE*** (7169...)'
      LANG: C.UTF-8
      PATH: /usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PIP_DISABLE_PIP_VERSION_CHECK: '1'
      PIP_ROOT_USER_ACTION: ignore
      PYTHON_SHA256: 07ab697474595e06f06647417d3c7fa97ded07afc1a7e4454c5639919b46eaea
      PYTHON_VERSION: 3.12.10
      UV_SYSTEM_PYTHON: 'true'
    image: ghcr.io/esphome/esphome:latest
    ports:
    - 6052:6052/tcp
    restart: unless-stopped
    volumes:
    - /data/compose/1/esphome:/config:rw
    - /etc/localtime:/etc/localtime:ro
    working_dir: /config
